Package ghidra.debug.api.breakpoint

# Enum Class LogicalBreakpoint.Mode

java.lang.Object
java.lang.Enum<LogicalBreakpoint.Mode>
ghidra.debug.api.breakpoint.LogicalBreakpoint.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<LogicalBreakpoint.Mode>`, `Constable`

Enclosing interface:
  `LogicalBreakpoint`

public static enum LogicalBreakpoint.Mode extends Enum<LogicalBreakpoint.Mode>
The mode of a logical breakpoint

Depending on context this may describe the mode from the perspective of a program, where breakpoints are saved from session to session; or this may describe the mode from the perspective of one or more traces/targets:

If the breakpoint is a lone breakpoint, meaning Ghidra cannot determine to what program it belongs, then this describes the mode of that trace breakpoint.

If the breakpoint is mapped, meaning Ghidra can determine to what program it belongs and at what address, but it is not bookmarked, then for the static context, this describes the mode of the participating trace breakpoints. If the breakpoint is bookmarked, then for the static context, this describes the mode of that bookmark. For the dynamic context, this describes the mode of the trace's breakpoint, ignoring the presence or state of the bookmark. Note that the bookmark and trace modes may disagree. The displayed mode is still determined by context, but it will be marked as inconsistent. See `LogicalBreakpoint.Consistency`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  All locations are disabled
  `ENABLED`
  All locations are enabled
  `MIXED`
  Has both enabled and disabled trace locations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LogicalBreakpoint.Mode`
  `sameAddress(LogicalBreakpoint.Mode that)`
  `static LogicalBreakpoint.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogicalBreakpoint.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENABLED

    public static final LogicalBreakpoint.Mode ENABLED
    All locations are enabled

  - ### DISABLED

    public static final LogicalBreakpoint.Mode DISABLED
    All locations are disabled

  - ### MIXED

    public static final LogicalBreakpoint.Mode MIXED
    Has both enabled and disabled trace locations

- ## Method Details

  - ### values

    public static LogicalBreakpoint.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogicalBreakpoint.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### sameAddress

    public LogicalBreakpoint.Mode sameAddress(LogicalBreakpoint.Mode that)